Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer.webcontainer
Class PicoJettyServer

    java.lang.Object
      org.picocontainer.alternatives.EmptyPicoContainer
          org.nanocontainer.webcontainer.PicoJettyServer

All Implemented Interfaces:
  Serializable, org.picocontainer.Disposable, org.picocontainer.PicoContainer, org.picocontainer.Startable

    public class PicoJettyServer

extends org.picocontainer.alternatives.EmptyPicoContainer
implements org.picocontainer.PicoContainer

See Also:
  Serialized Form

Constructor Summary
`PicoJettyServer(org.picocontainer.PicoContainer parentContainer)`
`PicoJettyServer(String host, int port, org.picocontainer.PicoContainer parentContainer)`

Method Summary
`void` | `addRequestLog(org.mortbay.jetty.RequestLog requestLog)`
`PicoWebAppContext` | `addWebApplication(String contextPath, String warFile)`
`org.mortbay.jetty.Connector` | `createBlockingChannelConnector(String host, int port)`
`PicoContextHandler` | `createContext(String contextPath, boolean withSessionHandler)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class org.picocontainer.alternatives.EmptyPicoContainer
`accept, dispose, getComponentAdapter, getComponentAdapterOfType, getComponentAdapters, getComponentAdaptersOfType, getComponentInstance, getComponentInstanceOfType, getComponentInstances, getComponentInstancesOfType, getParent, verify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.picocontainer.PicoContainer
`accept, getComponentAdapter, getComponentAdapterOfType, getComponentAdapters, getComponentAdaptersOfType, getComponentInstance, getComponentInstanceOfType, getComponentInstances, getComponentInstancesOfType, getParent, verify`

Methods inherited from interface org.picocontainer.Disposable
`dispose`

Constructor Detail

### PicoJettyServer

    public PicoJettyServer(org.picocontainer.PicoContainer parentContainer)

### PicoJettyServer

    public PicoJettyServer(String host,
                           int port,
                           org.picocontainer.PicoContainer parentContainer)

Method Detail

### createBlockingChannelConnector

    public org.mortbay.jetty.Connector createBlockingChannelConnector(String host,
                                                                      int port)

### createContext

    public PicoContextHandler createContext(String contextPath,
                                            boolean withSessionHandler)

### addWebApplication

    public PicoWebAppContext addWebApplication(String contextPath,
                                               String warFile)

### start

    public void start()

  Specified by:
    `start` in interface `org.picocontainer.Startable`
  Overrides:
    `start` in class `org.picocontainer.alternatives.EmptyPicoContainer`

### stop

    public void stop()

  Specified by:
    `stop` in interface `org.picocontainer.Startable`
  Overrides:
    `stop` in class `org.picocontainer.alternatives.EmptyPicoContainer`

### addRequestLog

    public void addRequestLog(org.mortbay.jetty.RequestLog requestLog)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.